summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Šime Ramov <s@ramov.com>2010-05-12 18:20:21 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:27 -0500
commit7dfff5086f11c4c19510120b4c6325f342c5550a (patch)
tree5f965c254b44a5b723ba1bdbbb612d3c530c20da /network
parent80f92f9f03e4dbd9394832493cfe5e8bd06d3b43 (diff)
downloadslackbuilds-7dfff5086f11c4c19510120b4c6325f342c5550a.tar.gz
slackbuilds-7dfff5086f11c4c19510120b4c6325f342c5550a.tar.xz
network/maildrop: Added (a mail filtering agent).
Diffstat (limited to 'network')
-rw-r--r--network/maildrop/README11
-rwxr-xr-xnetwork/maildrop/maildrop.SlackBuild72
-rw-r--r--network/maildrop/maildrop.info10
-rw-r--r--network/maildrop/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/network/maildrop/README b/network/maildrop/README
new file mode 100644
index 0000000000..db9f84ade7
--- /dev/null
+++ b/network/maildrop/README
@@ -0,0 +1,11 @@
+maildrop (mail delivery agent with filtering abilities)
+
+maildrop is the mail filter/mail delivery agent that's used by the
+Courier Mail Server. This is a standalone build of the maildrop mail
+filter that can be used with other mail servers.
+
+maildrop is a replacement for your local mail delivery agent. maildrop
+reads a mail message from standard input, then delivers the message to
+your mailbox. maildrop knows how to deliver mail to mbox-style
+mailboxes and maildirs. "maildir" is a mailbox format used by the
+Courier mail server and Qmail.
diff --git a/network/maildrop/maildrop.SlackBuild b/network/maildrop/maildrop.SlackBuild
new file mode 100755
index 0000000000..ce9f3a31cf
--- /dev/null
+++ b/network/maildrop/maildrop.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for maildrop
+# Written by Šime Ramov <s@ramov.com>
+
+PRGNAM=maildrop
+VERSION=${VERSION:-2.4.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --datadir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/usr/doc/$PRGNAM-$VERSION/maildrop/html $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a \
+ AUTHORS COPYING COPYING.GPL ChangeLog INSTALL NEWS README UPGRADE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/maildrop/maildrop.info b/network/maildrop/maildrop.info
new file mode 100644
index 0000000000..eeb22bc989
--- /dev/null
+++ b/network/maildrop/maildrop.info
@@ -0,0 +1,10 @@
+PRGNAM="maildrop"
+VERSION="2.4.3"
+HOMEPAGE="http://www.courier-mta.org/maildrop/"
+DOWNLOAD="http://downloads.sourceforge.net/project/courier/maildrop/2.4.3/maildrop-2.4.3.tar.bz2"
+MD5SUM="15b7528ba5e7ab76e676596af6bcd1c9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Šime Ramov"
+EMAIL="s@ramov.com"
+APPROVED="rworkman"
diff --git a/network/maildrop/slack-desc b/network/maildrop/slack-desc
new file mode 100644
index 0000000000..8401a528b6
--- /dev/null
+++ b/network/maildrop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+maildrop: maildrop (mail delivery agent with filtering abilities)
+maildrop:
+maildrop: maildrop is the mail filter/mail delivery agent that's used by the
+maildrop: Courier Mail Server. This is a standalone build of the maildrop mail
+maildrop: filter that can be used with other mail servers.
+maildrop:
+maildrop: maildrop is a replacement for your local mail delivery agent.
+maildrop: maildrop reads a mail message from standard input, then delivers the
+maildrop: message to your mailbox. maildrop knows how to deliver mail to
+maildrop: mbox-style mailboxes, and maildirs.
+maildrop: